Update toolchain request

support for the powerpc toolchain
Post Reply
soop
Posts: 1
Joined: Mon Jul 27, 2015 1:30 am

Update toolchain request

Post by soop » Mon Jul 27, 2015 2:13 am

Hi, my name is Soop, I'm new to this site but taking devkitPPC led since its inception.

Today I wanted to ask if you could update the gcc to version 5.2.0, binutils to 2.25 and gdb to 7.9.1.

Just missing the newlib-2.2.0 patch.

thanks for your attention.
Attachments
patches.tar.bz2
Here are the patches.
(3.58 KiB) Downloaded 326 times

WinterMute
Site Admin
Posts: 1336
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: Update toolchain request

Post by WinterMute » Tue Nov 10, 2015 11:22 am

Currently libogc is broken when compiled with gcc 5.2.0.

I have patches done for 4.9.x and some testing to do. If that works out OK I'll roll a release with 4.9.3.

5.2.x will have to wait for a bit more spare time I'm afraid. Shagkur's inline assembly bends my head a bit and unfortunately the problems are related to that.
Help keep devkitPro toolchains free, Donate today

devkitPro IRC support
Personal Blog

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests